org.apache.maven.scm

## Class ScmFileStatus

- java.lang.Object
- - org.apache.maven.scm.ScmFileStatus

- All Implemented Interfaces:
    Serializable

      public final class ScmFileStatus
      extends Object
      implements Serializable

  Typesafe enum for file status

  There are two types of status defined in this class:
  1) Status: Changes in the working tree, not yet committed to the repository eg. MODIFIED
  2) Transaction: The file is part of some transaction with the repository eg. CHECKED_IN
  Version:
    $Id: ScmFileStatus.java 774900 2009-05-14 19:53:16Z olamy $
  Author:
    Trygve Laugstøl
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ScmFileStatus` | `ADDED` File is added to the working tree and does not yet exist in the repository
    `static ScmFileStatus` | `CHECKED_IN` File from working tree is checked into the repository
    `static ScmFileStatus` | `CHECKED_OUT` File is checked out from the repository and into the working tree
    `static ScmFileStatus` | `CONFLICT` The file in the working tree has differences to the one in repository that conflicts ie.
    `static ScmFileStatus` | `DELETED` File is removed from the working tree thus not revisioned anymore. The file is still present in the repository. The file could be deleted from the filesystem depending on the provider.
    `static ScmFileStatus` | `LOCKED` The file is locked.
    `static ScmFileStatus` | `MISSING` The file is missing in the working tree.
    `static ScmFileStatus` | `MODIFIED` The file has been modified in the working tree.
    `static ScmFileStatus` | `PATCHED` The file in the working tree has been updated with changes from the repository.
    `static ScmFileStatus` | `TAGGED` The file is part of a tag.
    `static ScmFileStatus` | `UNKNOWN` The file is in the working tree but is not versioned and not ignored either.
    `static ScmFileStatus` | `UPDATED` The file is added, removed or updated from the repository, thus its up-to-date with the version in the repository.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDiff()` There are changes in the working tree that are not committed to the repository.
    `boolean` | `isStatus()` There are changes in the working tree that are not committed to the repository, or the file is unknown for the working tree.
    `boolean` | `isTransaction()`
    `boolean` | `isUpdate()` File is part of an update transaction with the repository. Note: ADDED and REMOVED are not an update status since they indicates that the working tree has changed. An update indicates the opposite, that the repository was changed compared to the working tree and that it is now synchronized unless there are conflicts.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ADDED

          public static final ScmFileStatus ADDED

      File is added to the working tree and does not yet exist in the repository

    - #### DELETED

          public static final ScmFileStatus DELETED

      File is removed from the working tree thus not revisioned anymore.
      The file is still present in the repository.
      The file could be deleted from the filesystem depending on the provider.

    - #### MODIFIED

          public static final ScmFileStatus MODIFIED

      The file has been modified in the working tree.

    - #### MISSING

          public static final ScmFileStatus MISSING

      The file is missing in the working tree.

    - #### CHECKED_IN

          public static final ScmFileStatus CHECKED_IN

      File from working tree is checked into the repository

    - #### CHECKED_OUT

          public static final ScmFileStatus CHECKED_OUT

      File is checked out from the repository and into the working tree

    - #### CONFLICT

          public static final ScmFileStatus CONFLICT

      The file in the working tree has differences to the one in repository that conflicts ie. it cannot automatically be merged.

    - #### PATCHED

          public static final ScmFileStatus PATCHED

      The file in the working tree has been updated with changes from the repository.

    - #### UPDATED

          public static final ScmFileStatus UPDATED

      The file is added, removed or updated from the repository, thus its up-to-date with the version in the repository. See also isUpdate()

    - #### TAGGED

          public static final ScmFileStatus TAGGED

      The file is part of a tag.

    - #### LOCKED

          public static final ScmFileStatus LOCKED

      The file is locked.

    - #### UNKNOWN

          public static final ScmFileStatus UNKNOWN

      The file is in the working tree but is not versioned and not ignored either.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isStatus

          public boolean isStatus()

      There are changes in the working tree that are not committed to the repository, or
      the file is unknown for the working tree.
      Returns:
        true on changes in the working tree or if the file is unknown.

    - #### isDiff

          public boolean isDiff()

      There are changes in the working tree that are not committed to the repository.
      Returns:
        true on changes in the working tree

    - #### isTransaction

          public boolean isTransaction()

      Returns:
        true if the file was part of a transaction with the repository.

    - #### isUpdate

          public boolean isUpdate()

      File is part of an update transaction with the repository.
      Note: ADDED and REMOVED are not an update status since they indicates that the working tree has changed.
      An update indicates the opposite, that the repository was changed compared to the working tree and that it is now synchronized unless there are conflicts.
      Returns:
        true if the status is conflict, updated or patched.

Copyright © 2003–2015. All rights reserved.